/**
 * 阿里云oss配置
 * */

import router from '@/router/index'
import { Message } from 'element-ui'
export default async function () {
  try {
    let RE = localStorage.getItem('osc')
    if (RE) {
      RE = JSON.parse(RE)
    } else {
      sessionStorage.removeItem('token')
      Message.error('登录过期，请重新登录！')
      setTimeout(() => {
        router.replace('/login')
      }, 1500)
      return false
    }
    return {
      // oss账号信息
      config: {
        region: 'oss-cn-shenzhen',
        accessKeyId: RE[0],
        accessKeySecret: RE[1],
        bucket: 'huoran'
      },
      // 上传成功url前置部分（成功回调没有返回url）
      preUrl: 'https://huoran.oss-cn-shenzhen.aliyuncs.com/'
    }
  } catch (e) { }
}